"use strict";

const GameArticles = require("./components/game-articles");

class GamesPage {
    constructor(args) {
        Object.assign(this, args);
    }

    render() {
        return {
            tag: "div",
            id:"games-page",
            contents: [
                {
                    tag: "div",
                    class: "page-header",
                    contents: [
                        { tag: "h1", contents: "Jeux", class: "page-contents-center" },
                        {
                            tag: "p",
                            class: "page-contents-center",
                            contents: `Créer des jeux vidéos c'est cœur de ce qui nous passionne.
                            <br/>Retrouvez ici nos créations, à jouer en ligne ou à télécharger, et découvrez nos projets en cours.`,
                        },
                    ],
                },
                new GameArticles().render(),
            ],
        };
    }
}

module.exports = GamesPage;
